Update a tool
Server:
https://{kibana_url}
- PUT /api/agent_builder/tools/{toolId}
- PUT /s/{space_id}/api/agent_builder/tools/{toolId}
Refer to Spaces for more information.
Update an existing tool. Use this endpoint to modify any aspect of the tool's configuration or metadata. To learn more about Agent Builder tools, refer to the tools documentation.
[Required authorization] Route required privileges: agentBuilder:manageTools.
Path Parameters
-
toolIdstringrequired -
The unique identifier of the tool to update.
Request
-
configurationmap string to object -
Updated tool-specific configuration parameters. See examples for details.
-
confirmationobject -
Updated tool call policy to control tool call confirmation behavior
-
askUser -
Values:
oncealwaysnever -
descriptionstring -
Updated description of what the tool does.
-
Updated tags for categorizing and organizing tools.
Response
200
application/json
Indicates a successful response